@import "config/config";

.ce_form {
  max-width: 780px;
  margin: auto;
  
  &.contact {
    span.mandatory {
      color: $kix_green;
      margin-left: 3px;
    }
  }

  .widget-checkbox .checkbox_container{
    span{
      input[type="checkbox"]{
        position: absolute;
      }
      label{
        padding-left: 50px;
        display: block;
        width: auto;
      }
    }
  }
}

.form_test{
  input[type="text"],
  input[type="email"],
  input[type="tel"],
  input[type="number"],
  select,
  textarea {
    margin: 5px;
    width: 90vw;
    max-width: 350px;
  }

  textarea{
    height: 150px;
  }
}

.ce_form .grid {
  max-width: 780px;
  margin: auto;
  padding: 0 20px;

  .widget {
    //width: 49%;
    width: 100%;
    float: left;
    margin-bottom: 1em;

    .multiselect{
      height: 100%;
    }

    label {
      text-align: left;
      display: block;
      width: 100%;
    }
    input {
      height: 24px;
      width: 100%;
      border: 1px $light_grey_text solid;
      
      &:focus {
         outline: none;
         border: 1px $kix_green solid;
      }
    }
    select {
      height: 30px;
      width: 100%;
    }
    textarea {
      width: 100%;
    }
  }
  .widget:nth-child(2n) {
    //margin-left: 2%;
  }
  .widget-explanation {
    width: 100%;
  }
  .widget-checkbox {
    display: block;
    width: 100%;
    margin: 0 !important;

    input {
      width: 24px;
      float: left;
      margin-right: 15px;
    }
    label {
      display: inline;
    }
    fieldset {
      border: none;
      text-align: left;
    }
  }
  .widget-submit {
    margin-top: 30px;
    width: 100%;
  }
}

.contact-support{
  @media (min-width: 768px){
    max-width: 30vw !important;
  }
  color: $h4_dark_grey;
  h2{
    color: $h4_dark_grey;
  }
}